- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::VSDFillStyle Struct Reference

`#include <VSDStyles.h>`

## Public Member Functions
| VSDFillStyle ()
| VSDFillStyle (const Colour &fgc, const Colour &bgc, unsigned char p, double fga, double bga, const Colour &sfgc, unsigned char shp, double shX, double shY)
| VSDFillStyle (const VSDFillStyle &style)
| ~VSDFillStyle ()
void | override (const VSDOptionalFillStyle &style)

## Public Attributes
Colour | fgColour
Colour | bgColour
unsigned char | pattern
double | fgTransparency
double | bgTransparency
Colour | shadowFgColour
unsigned char | shadowPattern
double | shadowOffsetX
double | shadowOffsetY

## Constructor & Destructor Documentation

libvisio::VSDFillStyle::VSDFillStyle | ( |  | ) |
| inline

libvisio::VSDFillStyle::VSDFillStyle | ( | const Colour & | fgc,
|  | const Colour & | bgc,
|  | unsigned char | p,
|  | double | fga,
|  | double | bga,
|  | const Colour & | sfgc,
|  | unsigned char | shp,
|  | double | shX,
|  | double | shY
| ) |  |
| inline

libvisio::VSDFillStyle::VSDFillStyle | ( | const VSDFillStyle & | style | ) |
| inline

libvisio::VSDFillStyle::~VSDFillStyle | ( |  | ) |
| inline

## Member Function Documentation

void libvisio::VSDFillStyle::override | ( | const VSDOptionalFillStyle & | style | ) |
| inline

Referenced by libvisio::VSDStyles::getFillStyle().

## Member Data Documentation

Colour libvisio::VSDFillStyle::bgColour

Referenced by libvisio::VSDContentCollector::_fillAndShadowProperties(), and override().

double libvisio::VSDFillStyle::bgTransparency

Referenced by libvisio::VSDContentCollector::_fillAndShadowProperties(), and override().

Colour libvisio::VSDFillStyle::fgColour

Referenced by libvisio::VSDContentCollector::_fillAndShadowProperties(), and override().

double libvisio::VSDFillStyle::fgTransparency

Referenced by libvisio::VSDContentCollector::_fillAndShadowProperties(), and override().

unsigned char libvisio::VSDFillStyle::pattern

Referenced by libvisio::VSDContentCollector::_fillAndShadowProperties(), and override().

Colour libvisio::VSDFillStyle::shadowFgColour

Referenced by libvisio::VSDContentCollector::_fillAndShadowProperties(), and override().

double libvisio::VSDFillStyle::shadowOffsetX

Referenced by libvisio::VSDContentCollector::_fillAndShadowProperties(), and override().

double libvisio::VSDFillStyle::shadowOffsetY

Referenced by libvisio::VSDContentCollector::_fillAndShadowProperties(), and override().

unsigned char libvisio::VSDFillStyle::shadowPattern

Referenced by libvisio::VSDContentCollector::_fillAndShadowProperties(), and override().

The documentation for this struct was generated from the following file:

- VSDStyles.h